	SUBROUTINE dtcmthnam (im,monthn)
c-----------------------------------------------------------------------
c
c	Subroutine dtcmthnam (formerly GABY)
c
c	Part of Mitch Wyle's DTC program
c
c	return a string corresponding to the month number
c	Month number contained in IM.  Send back string in MONTHN.
c	(JANUARY for 1, etc.)
c
c-----------------------------------------------------------------------
c
c	Modified 850315 - Center month names in table, use mixed case - CG
c	Modified 850802 - Renamed DTCMTHNAM

c
c	Declarations:
c
	Byte monthn(9)
c ***	character*9 monthn	! Can't use, char params expect descriptor

c
c	Table of month names and numbers (centered, even lengths biased left):
c

	Byte months(9,14)
	character*9 monthch(14)/		 'December ',
	1 ' January ', 'February ', '  March  ', '  April  ',
	2 '   May   ', '  June   ', '  July   ', ' August  ',
	3 'September', ' October ', 'November ', 'December ',
	4 ' January '/

	equivalence (months, monthch)
c
c	Select the right month and fill monthn with it:
c

C ALLOW FOR OVERFLOWS...
	IMM=IM+1
c ***	monthn = monthch(imm)			! String assignment
c
	Do i=1,9				! Byte-at-a-time
	    Monthn(i) = months(i,imm)
	end do

c	All done.

	end
